| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::PyRotationWarper Class Reference

`#include <opencv2/stitching/warpers.hpp>`

Collaboration diagram for cv::PyRotationWarper:

## Public Member Functions
| PyRotationWarper ()
| PyRotationWarper (String type, float scale)
| ~PyRotationWarper ()
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap)
| Builds the projection maps according to the given camera data.
float | getScale () const
void | setScale (float)
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst)
| Projects the image.
void | warpBackward (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, Size dst_size, OutputArray dst)
| Projects the image backward.
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R)
| Projects the image point.
Point2f | warpPointBackward (const Point2f &pt, InputArray K, InputArray R)
| Projects the image point backward.
Rect | warpRoi (Size src_size, InputArray K, InputArray R)

## Constructor & Destructor Documentation

## ◆ PyRotationWarper() [1/2]

cv::PyRotationWarper::PyRotationWarper | ( | String | type,
|  | float | scale )

Python:
| cv.PyRotationWarper( | type, scale | ) -> | <PyRotationWarper object>
| cv.PyRotationWarper( |  | ) -> | <PyRotationWarper object>

## ◆ PyRotationWarper() [2/2]

cv::PyRotationWarper::PyRotationWarper | ( |  | ) |
| inline

Python:
| cv.PyRotationWarper( | type, scale | ) -> | <PyRotationWarper object>
| cv.PyRotationWarper( |  | ) -> | <PyRotationWarper object>

## ◆ ~PyRotationWarper()

cv::PyRotationWarper::~PyRotationWarper | ( |  | ) |
| inline

## Member Function Documentation

## ◆ buildMaps()

Rect cv::PyRotationWarper::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | OutputArray | xmap,
|  | OutputArray | ymap )

Python:
| cv.PyRotationWarper.buildMaps( | src_size, K, R[, xmap[, ymap]] | ) -> | retval, xmap, ymap

Builds the projection maps according to the given camera data.

Parameters

  src_size | Source image size
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  xmap | Projection map for the x axis
  ymap | Projection map for the y axis

Returns
  Projected image minimum bounding box

## ◆ getScale()

float cv::PyRotationWarper::getScale | ( |  | ) | const
| inline

Python:
| cv.PyRotationWarper.getScale( |  | ) -> | retval

## ◆ setScale()

void cv::PyRotationWarper::setScale | ( | float |  | ) |
| inline

Python:
| cv.PyRotationWarper.setScale( | arg1 | ) -> | None

## ◆ warp()

Point cv::PyRotationWarper::warp | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | OutputArray | dst )

Python:
| cv.PyRotationWarper.warp( | src, K, R, interp_mode, border_mode[, dst] | ) -> | retval, dst

Projects the image.

Parameters

  src | Source image
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  interp_mode | Interpolation mode
  border_mode | Border extrapolation mode
  dst | Projected image

Returns
  Project image top-left corner

## ◆ warpBackward()

void cv::PyRotationWarper::warpBackward | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | Size | dst_size,
|  | OutputArray | dst )

Python:
| cv.PyRotationWarper.warpBackward( | src, K, R, interp_mode, border_mode, dst_size[, dst] | ) -> | dst

Projects the image backward.

Parameters

  src | Projected image
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  interp_mode | Interpolation mode
  border_mode | Border extrapolation mode
  dst_size | Backward-projected image size
  dst | Backward-projected image

## ◆ warpPoint()

Point2f cv::PyRotationWarper::warpPoint | ( | const Point2f & | pt,
|  | InputArray | K,
|  | InputArray | R )

Python:
| cv.PyRotationWarper.warpPoint( | pt, K, R | ) -> | retval

Projects the image point.

Parameters

  pt | Source point
  K | Camera intrinsic parameters
  R | Camera rotation matrix

Returns
  Projected point

## ◆ warpPointBackward()

Point2f cv::PyRotationWarper::warpPointBackward | ( | const Point2f & | pt,
|  | InputArray | K,
|  | InputArray | R )

Python:
| cv.PyRotationWarper.warpPointBackward( | pt, K, R | ) -> | retval

Projects the image point backward.

Parameters

  pt | Projected point
  K | Camera intrinsic parameters
  R | Camera rotation matrix

Returns
  Backward-projected point

## ◆ warpRoi()

Rect cv::PyRotationWarper::warpRoi | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R )

Python:
| cv.PyRotationWarper.warpRoi( | src_size, K, R | ) -> | retval

Parameters

  src_size | Source image bounding box
  K | Camera intrinsic parameters
  R | Camera rotation matrix

Returns
  Projected image minimum bounding box

The documentation for this class was generated from the following file:

- opencv2/stitching/warpers.hpp